.btn {
    stroke: #999;
    color: #999;
    outline: none;
    cursor: pointer;
    font-weight: 400;
    min-height: rem(44);
    font-size: rem(14);
    line-height: rem(24);
    padding: rem(11) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border: rem(1) solid #999999;
    background: rgba(255, 255, 255, 0.05);
    transition: .3s;

    &.hover,
    &:hover {
        stroke: #ccc;
        color: #ccc;
        border-color: #ccc;
        background: rgba(255, 255, 255, 0.1);
        text-decoration: none;
        transition: .3s;
    }

    &.active,
    &:active {
        stroke: $white;
        color: $white;
        border-color: $white;
        background: rgba(255, 255, 255, 0.15);
        transition: .3s;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &.disabled,
    &:disabled {
        stroke: #2D2D2D;
        color: #2D2D2D;
        cursor: default;
        border-color: #2D2D2D;
        background: transparent;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(20);
    }

    span + i {
        margin-left: rem(8);
    }

    i + span {
        margin-left: rem(8);
    }
}

.btn-sm {
    height: rem(34);
    min-height: rem(34);
    font-size: rem(14);
    line-height: rem(20);
    padding: rem(4) rem(24);
}

.btn-md {
    height: rem(60);
    font-size: rem(18);
    padding: rem(11) rem(28);
}

.btn-long {
    min-width: rem(254);
}

.btn-yellow {
    color: $white;
    stroke: $white;
    background: $yellow;
    border-color: $yellow;

    &.hover,
    &:hover {
        color: $white;
        stroke: $white;
        background: $yellow-hover;
        border-color: $yellow-hover;
    }

    &.active,
    &:active  {
        color: $white;
        stroke: $white;
        background: $yellow-active;
        border-color: $yellow-active;
    }

    &.disabled,
    &:disabled {
        color: $white;
        stroke: $white;
        cursor: default;
        background: #969696;
        border-color: #969696;

        &:hover {
            color: $white;
            stroke: $white;
            cursor: default;
            background: #969696;
            border-color: #969696;
        }
    }
}

.btn-gray {
    color: $white;
    stroke: $white;
    background: #2A2720;
    border-color: #2A2720;

    &.hover,
    &:hover {
        color: $white;
        stroke: $white;
        background: #2A2720;
        border-color: #2A2720;
    }

    &.active,
    &:active  {
        color: $white;
        stroke: $white;
        background: #2A2720;
        border-color: #2A2720;
    }
}

.btn-fill {
    stroke: none;

    &.hover,
    &:hover {
        stroke: none;
    }

    &.active,
    &:active  {
        stroke: none;
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $gold;
    stroke: $gold;
    border: none;
    outline: none;
    cursor: pointer;
    font-size: rem(14);
    line-height: rem(24);
    display: inline-flex;
    align-items: center;
    text-decoration: none;
    background: transparent;
    transition: .3s;

    i {
        font-size: 0;
        line-height: 0;
        height: rem(24);
        display: inline-block;
        margin-right: rem(4);
        transition: .3s;
    }

    span + i {
        margin-right: 0;
        margin-left: rem(4);
    }

    &.hover,
    &:hover {
        color: $yellow-hover;
        stroke: $yellow-hover;
        text-decoration: none;
    }

    &.active,
    &:active {
        color: $yellow-active;
        stroke: $yellow-active;
    }

    &.disabled,
    &:disabled {
        color: #2D2D2D;
        stroke: #2D2D2D;
        cursor: default;
    }

    &--md {

        i {
            height: rem(30);
            margin-right: rem(16);
        }
    }

    &--yellow {
        stroke: $yellow;
        color: $yellow;
    }

    &--fill {
        fill: $gold;
        stroke: none;

        &.hover,
        &:hover {
            fill: $yellow-hover;
            stroke: none;
            text-decoration: none;
        }

        &.active,
        &:active {
            fill: $yellow-active;
            stroke: none;
        }

        &.disabled,
        &:disabled {
            fill: #2D2D2D;
            stroke: none;
        }
    }

    &--border {
        font-size: rem(12);
        padding: rem(8);
        border: 1px solid $gold;
        justify-content: center;

        &.hover,
        &:hover {
            border-color: $yellow-hover;
        }

        &.active,
        &:active {
            border-color: $yellow-active;
        }

        &.disabled,
        &:disabled {
            border-color: #2D2D2D;
        }
    }

    @include media-breakpoint-up(lg) {

        &--border {
            font-size: rem(14);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(16);

        &--border {
            font-size: rem(16);
        }

        &--lg {
            font-size: rem(18);
            line-height: rem(26);
        }
    }
}

.social-group {
    display: flex;
    align-items: center;

    > * {

        &:not(:last-child ) {
            margin-right: rem(24);
        }
    }
}

.btn-social {
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    fill: #C0C1C9;
    cursor: pointer;
    width: rem(24);
    height: rem(24);
    display: block;
    border-radius: 50%;
    background: transparent;
    transition: .3s;

    &.hover,
    &:hover {
        fill: #E2E5EA;
    }

    &.active,
    &:active {
        fill: $white;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &.disabled,
    &:disabled {
        fill: #2D2D2D;
    }
}

.btn-search {
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    stroke: $white;
    width: rem(24);
    height: rem(24);
    cursor: pointer;
    display: block;
    background: transparent;
}

.btn-arrow {
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(72);
    height: rem(72);
    cursor: pointer;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: center;
    stroke: $yellow;

    i {
        flex-shrink: 0;
        height: rem(25);
        display: inline-block;
    }

    &.hover,
    &:hover {
        stroke: $yellow-hover;
    }

    &.active,
    &:active {
        stroke: $yellow-active;
    }

    &.disabled,
    &:disabled {
        stroke: #2D2D2D;
        cursor: default;
    }
}

.nav-button {
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    width: rem(48);
    height: rem(48);
    cursor: pointer;
    background: $dark;
    display: flex;
    align-items: center;
    justify-content: center;
    stroke: $white;
    transition: .3s;

    i {
        flex-shrink: 0;
        height: rem(24);
        display: inline-block;
    }

    &.hover,
    &:hover {
        background: $black;
        transition: .3s;
    }

    &--xl {
        width: rem(72);
        height: rem(72);
        background: transparent;

        &:hover {
            background: transparent;
        }
    }

    &--gray {
        stroke: $blue-light;
        background: #F5F5F5;

        &:hover {
            stroke: $white;
            background: $blue-light;
        }
    }
}

.btn-icon {
    margin: 0;
    padding: 0;
    font-size: 0;
    line-height: 0;
    border: none;
    outline: none;
    display: block;
    width: rem(32);
    height: rem(32);
    cursor: pointer;
    stroke: #DEDEDE;
    text-decoration: none;
    background: transparent;

    &:hover {
        stroke: $white;
        text-decoration: none;
    }
}

.btn-yellow {

}

.btn-border {
    border-color: #A5742C;

    &:hover {
        color: #BE7E1D;
        border-color: #BE7E1D;
    }
}

.btn-form {
    height: rem(52);
}

.btn-medium {
    color: #212121;
    height: rem(52);
    font-weight: 500;
}
